Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class ValidationFailure

    java.lang.Object
      |
      +--oracle.apps.cz.cio.StatusInfo
            |
            +--oracle.apps.cz.cio.ValidationFailure

Direct Known Subclasses:
  CompanionValidationFailure, CustomValidationFailure, RestoreValidationFailure

public class ValidationFailure
extends StatusInfo

Implements behavior common to all validation failures.

Field Summary
`static int` | `COMPANION_FAILURE`
`static int` | `CUSTOM_FAILURE`
`static int` | `LAST_REQUIRED_BOMCHILD_DELETED`
`static int` | `MAX_FAILURE`
`static int` | `MIN_FAILURE`
`static int` | `MIN0_FAILURE`
`static int` | `MINMAX_FAILURE`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `RESOURCE_FAILURE`
`static int` | `RESTORE_FAILURE`
`static int` | `TEXT_VALUE_EXCEED_MAX_LENGTH`

Fields inherited from class oracle.apps.cz.cio.StatusInfo
`STATUS_DELETED, STATUS_EXISTING, STATUS_NEW, STATUS_REMOVED`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessage(java.lang.String nodeName)`
`com.sun.java.util.collections.Collection` | `getReasons()`
`int` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class oracle.apps.cz.cio.StatusInfo
`getNode, getStatus, hashCode, statusToString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### MIN_FAILURE

    public static final int MIN_FAILURE

### MAX_FAILURE

    public static final int MAX_FAILURE

### MINMAX_FAILURE

    public static final int MINMAX_FAILURE

### MIN0_FAILURE

    public static final int MIN0_FAILURE

### RESOURCE_FAILURE

    public static final int RESOURCE_FAILURE

### COMPANION_FAILURE

    public static final int COMPANION_FAILURE

### RESTORE_FAILURE

    public static final int RESTORE_FAILURE

### CUSTOM_FAILURE

    public static final int CUSTOM_FAILURE

### LAST_REQUIRED_BOMCHILD_DELETED

    public static final int LAST_REQUIRED_BOMCHILD_DELETED

### TEXT_VALUE_EXCEED_MAX_LENGTH

    public static final int TEXT_VALUE_EXCEED_MAX_LENGTH

Method Detail

### getType

    public int getType()

### getMessage

    public java.lang.String getMessage(java.lang.String nodeName)

### getMessage

    public java.lang.String getMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `StatusInfo`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `StatusInfo`

### getReasons

    public com.sun.java.util.collections.Collection getReasons()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.